/* This Code Highlighting Theme is based on GitHub Theme */
.gutter {
  color: var(--color-text-tertiary);
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}

body[data-color-scheme=auto] .highlight .name,
body[data-color-scheme=light] .highlight .name {
  color: #22863a;
}
body[data-color-scheme=auto] .highlight .attr,
body[data-color-scheme=auto] .highlight .meta,
body[data-color-scheme=auto] .highlight .meta-keyword,
body[data-color-scheme=auto] .highlight .attribute,
body[data-color-scheme=auto] .highlight .number,
body[data-color-scheme=auto] .highlight .selector-class,
body[data-color-scheme=light] .highlight .attr,
body[data-color-scheme=light] .highlight .meta,
body[data-color-scheme=light] .highlight .meta-keyword,
body[data-color-scheme=light] .highlight .attribute,
body[data-color-scheme=light] .highlight .number,
body[data-color-scheme=light] .highlight .selector-class {
  color: #005cc5;
}
body[data-color-scheme=auto] .highlight .string,
body[data-color-scheme=light] .highlight .string {
  color: #032f62;
}
body[data-color-scheme=auto] .highlight .symbol,
body[data-color-scheme=light] .highlight .symbol {
  color: #005cc5;
}
body[data-color-scheme=auto] .highlight .selector-tag,
body[data-color-scheme=light] .highlight .selector-tag {
  color: #22863a;
}
body[data-color-scheme=auto] .highlight .built_in,
body[data-color-scheme=light] .highlight .built_in {
  color: #6f42c1;
}
body[data-color-scheme=auto] .highlight .keyword,
body[data-color-scheme=light] .highlight .keyword {
  color: #d73a49;
}
body[data-color-scheme=auto] .highlight .type,
body[data-color-scheme=light] .highlight .type {
  color: #005cc5;
}
body[data-color-scheme=auto] .highlight .title,
body[data-color-scheme=auto] .highlight .title.function_,
body[data-color-scheme=light] .highlight .title,
body[data-color-scheme=light] .highlight .title.function_ {
  color: #6f42c1;
}
body[data-color-scheme=auto] .highlight .params,
body[data-color-scheme=light] .highlight .params {
  color: #24292e;
}
body[data-color-scheme=auto] .highlight .comment,
body[data-color-scheme=auto] .highlight .quote,
body[data-color-scheme=light] .highlight .comment,
body[data-color-scheme=light] .highlight .quote {
  color: #6a737d;
  font-style: italic;
}
body[data-color-scheme=auto] .highlight .literal,
body[data-color-scheme=light] .highlight .literal {
  color: #005cc5;
}
body[data-color-scheme=auto] .highlight .variable,
body[data-color-scheme=auto] .highlight .template-variable,
body[data-color-scheme=light] .highlight .variable,
body[data-color-scheme=light] .highlight .template-variable {
  color: #e36209;
}
body[data-color-scheme=auto] .highlight .section,
body[data-color-scheme=light] .highlight .section {
  color: #005cc5;
  font-weight: bold;
}

@media (prefers-color-scheme: dark) {
  body[data-color-scheme=auto] .highlight .name {
    color: #7ee787;
  }
  body[data-color-scheme=auto] .highlight .attr,
  body[data-color-scheme=auto] .highlight .meta,
  body[data-color-scheme=auto] .highlight .meta-keyword,
  body[data-color-scheme=auto] .highlight .attribute,
  body[data-color-scheme=auto] .highlight .number,
  body[data-color-scheme=auto] .highlight .selector-class {
    color: #79c0ff;
  }
  body[data-color-scheme=auto] .highlight .string {
    color: #a5d6ff;
  }
  body[data-color-scheme=auto] .highlight .symbol {
    color: #79b8ff;
  }
  body[data-color-scheme=auto] .highlight .selector-tag {
    color: #7ee787;
  }
  body[data-color-scheme=auto] .highlight .built_in {
    color: #d2a8ff;
  }
  body[data-color-scheme=auto] .highlight .keyword {
    color: #ff7b72;
  }
  body[data-color-scheme=auto] .highlight .type {
    color: #79c0ff;
  }
  body[data-color-scheme=auto] .highlight .title,
  body[data-color-scheme=auto] .highlight .title.function_ {
    color: #d2a8ff;
  }
  body[data-color-scheme=auto] .highlight .params {
    color: #c9d1d9;
  }
  body[data-color-scheme=auto] .highlight .comment,
  body[data-color-scheme=auto] .highlight .quote {
    color: #8b949e;
    font-style: italic;
  }
  body[data-color-scheme=auto] .highlight .literal {
    color: #79c0ff;
  }
  body[data-color-scheme=auto] .highlight .variable,
  body[data-color-scheme=auto] .highlight .template-variable {
    color: #ffa657;
  }
  body[data-color-scheme=auto] .highlight .section {
    color: #79c0ff;
    font-weight: bold;
  }
}
body[data-color-scheme=dark] .highlight .name {
  color: #7ee787;
}
body[data-color-scheme=dark] .highlight .attr,
body[data-color-scheme=dark] .highlight .meta,
body[data-color-scheme=dark] .highlight .meta-keyword,
body[data-color-scheme=dark] .highlight .attribute,
body[data-color-scheme=dark] .highlight .number,
body[data-color-scheme=dark] .highlight .selector-class {
  color: #79c0ff;
}
body[data-color-scheme=dark] .highlight .string {
  color: #a5d6ff;
}
body[data-color-scheme=dark] .highlight .symbol {
  color: #79b8ff;
}
body[data-color-scheme=dark] .highlight .selector-tag {
  color: #7ee787;
}
body[data-color-scheme=dark] .highlight .built_in {
  color: #d2a8ff;
}
body[data-color-scheme=dark] .highlight .keyword {
  color: #ff7b72;
}
body[data-color-scheme=dark] .highlight .type {
  color: #79c0ff;
}
body[data-color-scheme=dark] .highlight .title,
body[data-color-scheme=dark] .highlight .title.function_ {
  color: #d2a8ff;
}
body[data-color-scheme=dark] .highlight .params {
  color: #c9d1d9;
}
body[data-color-scheme=dark] .highlight .comment,
body[data-color-scheme=dark] .highlight .quote {
  color: #8b949e;
  font-style: italic;
}
body[data-color-scheme=dark] .highlight .literal {
  color: #79c0ff;
}
body[data-color-scheme=dark] .highlight .variable,
body[data-color-scheme=dark] .highlight .template-variable {
  color: #ffa657;
}
body[data-color-scheme=dark] .highlight .section {
  color: #79c0ff;
  font-weight: bold;
}